PDA

View Full Version : Commands and their variables



madcadder
2007-10-15, 12:49 PM
I need a list associating the specific variables that are associated to a specific command.

Example:
Hatch: HPName, HPScale, HPAng, HPAssoc, HPDouble, etc.

I would need this for any and all commands, please.

rkmcswain
2007-10-15, 01:04 PM
Open HELP, go to the desired command.
Click on the Concept Tab, then click on the Quick Reference tab.
Scroll down to the System Variables section.

This should work for most commands.

madcadder
2007-10-15, 01:44 PM
Open HELP, go to the desired command.
Click on the Concept Tab, then click on the Quick Reference tab.
Scroll down to the System Variables section.

This should work for most commands.

Beautiful. That will get it done.
Thank you very much... Working on a toy that should be pretty useful.

CADDmanVA
2007-10-16, 03:58 AM
Open HELP, go to the desired command.
Click on the Concept Tab, then click on the Quick Reference tab.
Scroll down to the System Variables section.

This should work for most commands.

Great for just one or two commands. Does anyone know of a master list of commands and their associated sysvars? Not the alphabetical listing of sysvars though.

rkmcswain
2007-10-16, 12:02 PM
...Does anyone know of a master list of commands and their associated sysvars? Not the alphabetical listing of sysvars though.

Sounds like that is what madcadder is compiling....

CADDmanVA
2007-10-16, 12:22 PM
That's what I thought too after mulling it over for a while this morning.

madcadder
2007-10-16, 12:46 PM
Actually I'm working on a routine called Qwikrepeat.lsp

With my limited skill set I've been working on this since 01 and am finishing up the a little polishing before I unlease it on the world.


This routine is designed to:
qw
enter
select object
save currents settings
set setting to values of object selected
invoke command of onject selected.

so far is set to work with:



("RText")
("AcDbArc" . "_.arc") ; Passed
("AcDbArcAlignedText" . "_.arctext") ; Passed
("AcDbAttributeDefinition" . "_.attdef") ; Passed
; ("AcDbAttribute" . " ")
("AcDbCircle" . "._circle") ; Passed
("AcDbAlignedDimension" . "_.dimaligned") ; Passed
("AcDb2LineAngularDimension" . "_.dimangular") ; Passed
("AcDbArcDimension" . "_.dimarc") ;Passed
("AcDbDiametricDimension" . "_.dimdiameter") ; Passed
("AcDbRadialDimensionLarge" . "_.dimjogged") ; Passed
("AcDbRotatedDimension" . "_.dimlinear") ; Passed
("AcDbOrdinateDimension" . "_.dimordinate") ; Passed
("AcDbRadialDimension" . "_.dimradius") ; Passed
("AcDbText" . "_.dtext") ; Passed
("AcDbEllipse" . "_.ellipse") ; Passed
("Field" . "_.field")
("AcDbHatch" . "_.hatch") ; Passed
("Insert" . "_.insert")
("AcDbRasterImage" . "_.image")
("AcDbLeader" . "_.leader") ; Passed
("AcDbLine" . "_.line") ; Passed
("AcDbMLeader" . "_.mleader") ; Passed
("AcDbMline" . "_.mline") ; Passed
("AcDbMText" . "_.mtext")
("AcDbMText")
("MText" . "_.mtext")
("AcDbViewport" . "_.mview")
("AcDbPolyline" . "_.pline") ; Passed
("AcDb2dPolyline" . "_.pline") ; Passed
("AcDbPoint" . "_.point") ; Passed
("AcDbRay" . "_.ray") ; Passed
("AcDbSpline" . "_.spline") ; Passed
("AcDbXLine" . "_.xline") ; Passed
("XRef" . "_.xref")


It is not perfect and I will release it to all the fine individuals here to tweak and fine-tune my dream into perfection for the world to take advantage of.
The fact that this has yet to be done in the 7 yrs that I've been tinkering is amazing. The fact that an express tool of this nature was never developed is crazy.

CADDmanVA
2007-10-16, 02:10 PM
This looks cool! Can't wait to see the final product. If I was a LISP'er I'd offer to help you finish it out.

madcadder
2007-10-16, 06:20 PM
http://forums.augi.com/showthread.php?p=769718#post769718